// attributes
attribute vec3 a_pos;
attribute vec2 TexCoordIn;

// uniforms
uniform mat4 mvp;

uniform float w_size;
uniform float h_size;

// internal variables
varying vec2 v_TexCoordinate;

void main()
{
    v_TexCoordinate = TexCoordIn;
    
    vec4 result = mvp * vec4(a_pos.xy, 0.13, 1.0);
    
    float l_size = w_size * 0.5;
    float r_size = w_size * 0.5;
    
    if(a_pos.z == 0.0) {
        gl_Position = vec4(result.x - l_size * result.w, result.y, result.z, result.w);
    } else if(a_pos.z == 1.0) {
        gl_Position = vec4(result.x - l_size * result.w, result.y + h_size * result.w, result.z  , result.w);
    } else if(a_pos.z == 2.0) {
        gl_Position = vec4(result.x + r_size * result.w, result.y + h_size * result.w, result.z, result.w);
    } else if(a_pos.z == 3.0) {
        gl_Position = vec4(result.x + r_size * result.w , result.y, result.z, result.w);
    }
}
