// The input texture.
uniform lowp sampler2D color0;

// Set the default precision to medium. We don't need as high of a
// precision in the fragment shader.
precision lowp float;

varying vec4 v_color;

varying lowp float v_mode;

// Interpolated texture coordinate per fragment.
varying lowp vec2 v_coord;

// The entry point for our fragment shader.
void main()
{
    vec4 base = texture2D(color0, v_coord);
    if((v_color.r > 0.0 ||
        v_color.g > 0.0 ||
        v_color.b > 0.0) &&
       ((v_mode > 0.5 && base.r < 0.7) || (v_mode == 0.0 && base.r > 0.5)) &&
       base.a > 0.8) {
        base.rgb = v_color.rgb;
    }
    gl_FragColor = base;
}
