// The input texture.
uniform sampler2D color0;

// Set the default precision to medium. We don't need as high of a
// precision in the fragment shader.
precision mediump float;

varying vec4 v_color;

// Interpolated texture coordinate per fragment.
varying vec2 v_coord;

// The entry point for our fragment shader.
void main()
{
    vec4 basecolor = texture2D(color0, v_coord);
    basecolor.rgb = v_color.rgb * basecolor.rgb;
    gl_FragColor = basecolor;
}
